Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

QGtkStyle could not resolve GTK -- Ubuntu 18.04 #1768

Open
memphizz opened this issue May 24, 2018 · 9 comments

Comments

Projects
None yet
8 participants
@memphizz
Copy link

commented May 24, 2018

menus missing text when running v1.3.0 on ubuntu 18.04. Here is the error message:
QGtkStyle could not resolve GTK. Make sure you have installed the proper libraries.

@akreshuk

This comment has been minimized.

Copy link
Member

commented May 25, 2018

we haven't tried 18.04 yet, thanks for the report!

@memphizz

This comment has been minimized.

Copy link
Author

commented May 25, 2018

I got the same error on xfce4 desktop manager (still ubuntu 18.04).

loading themes seems to be the issue? I found this:
NixOS/nixpkgs#15926
does it apply to ilastik? let me know if there is a workaround

@k-dominik

This comment has been minimized.

Copy link
Contributor

commented May 29, 2018

I see the same error message running ilastik on vanilla ubunutu 18.04.

You could try adding

export QT_STYLE_OVERRIDE=gtk2

in your .bashrc file. That way the text in the menus is readable again. We'll further investigate this to come up with a proper fix

@memphizz

This comment has been minimized.

Copy link
Author

commented May 29, 2018

The text is now readable. Thank you.

@alimoges42

This comment has been minimized.

Copy link

commented Jul 14, 2018

Hi all, any updates on this? I encountered the same error when trying to run a python script for a QT-based GUI. The script crashed initially with the same error, so I modified my .bashrc file as suggested. The modifications at least restored some functionality, but my machine's GUI is nowhere near as clean as my colleague who is running Ubuntu 16.04. I realize my issue is not ilastik-specific, just curious if anyone has found the perfect workaround, and also curious if this issue has been passed on to the appropriate team. Thanks.

@NDJV

This comment has been minimized.

Copy link

commented Aug 14, 2018

I'm also having this issue

@burgerga

This comment has been minimized.

Copy link

commented Aug 20, 2018

Same problem in Manjaro Linux

@leoyip

This comment has been minimized.

Copy link

commented Mar 9, 2019

Hi all, any updates on this? I encountered the same error when trying to run a python script for a QT-based GUI. The script crashed initially with the same error, so I modified my .bashrc file as suggested. The modifications at least restored some functionality, but my machine's GUI is nowhere near as clean as my colleague who is running Ubuntu 16.04. I realize my issue is not ilastik-specific, just curious if anyone has found the perfect workaround, and also curious if this issue has been passed on to the appropriate team. Thanks.

Same problem in Ubuntu 18.04, when I tried to run a software named "synergy".

@juliomateoslangerak

This comment has been minimized.

Copy link

commented Mar 26, 2019

Same issue when running on Fedora 29.
I get twice the error:
QGtkStyle could not resolve GTK. Make sure you have installed the proper libraries

Running 'export QT_STYLE_OVERRIDE=gtk2' befor eexecution solves the problem of showing the contents of the menus and the error message is shown only once.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.